Locations endpoint

Return a list of locations

The Realtime locations endpoint response is different from the Metadata location response. The Realtime response is intended to be used by apps to make routing and other decisions based on the status and recent history of the charging station. The response is based on the OCPI structure but is unique to Paren.

Attributes

AttributeDescription
dataThe data object is an array of details about charging stations that match the input parameters
data.address.addressStreet address for the charging station location
data.address.cityCity of the charging station location
data.address.postal_codePostal code of the charging station location
data.address.stateState or province of the charging station
data.address.countryCountry of the charging station location
data.address.coordinates.latitude
data.address.coordinates.longitude
Latitude, Longitude coordinates of the charging station location
data.charging_poolThe charging_pool structure encapsulates all of the EVSEs at the charging station location
Pdata.charging_pool.current_pricingThe current_pricing structure describes the most recent pricing data from the charging station
Pdata.charging_pool.current_pricing.non-memberIf available, the non-member element denotes the pricing for those charging at this station who are not members of the charging network's membership program.
Pdata.charging_pool.current_pricing.
non-member.currency
The currency of the pricing information for this charging station
Pdata.charging_pool.current_pricing.
non-member.elements
The elements of the pricing structure is an array that describes price components and any time restrictions based, if time of use pricing is used.
Pdata.charging_pool.current_pricing.
non-member.elements[]
.pricing_components.price
The decimal price based on the pricing type
Pdata.charging_pool.current_pricing.
non-member.elements[]
.pricing_components.type
ENERGY for pricing per kW or TIME for pricing per hour
Pdata.charging_pool.current_pricing.
non-member.elements[].
pricing_components.restrictions
For TOU pricing, the start and end times reflect the time of day, in 24-hour format, when these charges are in effect.
Pdata.charging_pool.current_pricing.
nonmember.elements[].
pricing_components.restrictions.start_time
See above
Pdata.charging_pool.current_pricing.non-member.elements[].
pricing_components.restrictions.end_time
See above
data.charging_pool.evses[].connectors[].ida unique id for the EVSE generated by the charging_network
data.charging_pool.evses[].connectors[].
max_power
A decimal value denoting the max rated power of the EVSE
data.charging_pool.evses[].connectors[].
standard
The charging protocol used by the connector. Valid values are COMBO or CCS, NACS, CHADEMO
data.charging_pool.evses[].idA unique id for the EVSE generated by the charging network
data.charging_pool.evses[].created_atThe UTC data when the EVSE was opened.
data.charging_pool.evses[].evse_id
Pdata.charging_pool.evses[].last_successful_chargeThe UTC timestamp of the end time of the last successful charge on this EVSE.
data.charging_pool_evses[].last_updated
Pdata.charging_pool.evses[].metricsMetrics are a unique set of Paren extensions that describe recent activity on the EVSE
Pdata.charging_pool.evses[].metrics.
average_charging_time
A value, in seconds, of the average charging time on this EVSE over the last 3 weeks
Pdata.charging_pool.evses[].metrics.
current_utilization.charging_seconds
A value, in seconds.
Pdata.charging_pool.evses[].metrics.
current_utilization.charging_sessions
The number of charging sessions over the time period
Pdata.charging_pool.evses[].metrics.failure_rateA decimal value representing the number of failed charging sessions over the time period as a percentage of overall charging attempts
Pdata.charging.pool.evess[].metrics.
hourly_historical_utilization
This array of elements contains 24 entries representing the current day. Each entry is an hour and includes the average charging_seconds occuring within that hour and the average number of charging sessions within the hour on this EVSE as measured over the last 3 weeks.
Pdata.charging_pool.evses[].metrics.
hourly_historical_utilization.hour.
charging_seconds
See above
Pdata.charging_pool.evses[].metrics.
hourly_historical_utilization.hour.
charging_sessions
See above
Pdata.charging_pool.evses[].metrics.retry_rateA decimal value representing the percentage of successful charging sessions that resulted from a retry.
pdata.charging_pool.evses[].name
data.charging_pool.evses[].status
data.charging_pool.evses[].uid
data.charging_pool.last_updated
Pdata.charging_pool.model
Pdata.charging_pool.program
Pdata.charging_pool.reliability_scoreThe reliability score of a charging station is a custom calculation that represents an approximation of first-time plug success. Charging session retries, failures and charging unit downtime all negatively effect a charging station reliability score. This score is calculated over the last 7 day period.
Query Params
number

Mandatory if longitude is set

number

Mandatory if latitude is set

integer

Mandatory with latitude and longitude, maximum of 25km or 15 miles

string
enum
Defaults to meters

Radius unit, one of 'meters' or 'miles'

Allowed:
integer
1 to 100
Defaults to 50

Limits the number of objects that are returned.

integer
≥ 0

Indicates the number of items to skip.

integer
≥ 0

Filter locations to only include those with at least one connector having a minimum power level of the specified value (in kW)

integer

Filter locations to only include those with at least one connector having a maximun power level of the specified value (in kW)

port_types
array of strings
Defaults to all

Filter locations to only include those that have at least one port of the specified connector type(s)

port_types
Allowed:
countries
array of strings
Defaults to all

Filter on countries

countries
Allowed:
states
array of strings
Defaults to all

Filter on states or provinces of the location

states
ids
array of integers

Filter on IDs of the locations

ids
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json